net.sf.jasperreports.data.cache

## Class ColumnValuesDataSource

- java.lang.Object
- - net.sf.jasperreports.data.cache.ColumnValuesDataSource

- All Implemented Interfaces:
    IndexedDataSource, JRDataSource, JRRewindableDataSource

      public class ColumnValuesDataSource
      extends java.lang.Object
      implements JRRewindableDataSource, IndexedDataSource

  Version:
    $Id: ColumnValuesDataSource.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ColumnValuesDataSource(java.lang.String[] fieldNames, int size, ColumnValues[] values)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `getFieldValue(JRField field)` Gets the field value for the current position.
    `int` | `getRecordIndex()` Returns the index of the current record in the data source.
    `void` | `moveFirst()` Moves back to the first element in the data source.
    `boolean` | `next()` Tries to position the cursor on the next element in the data source.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ColumnValuesDataSource

          public ColumnValuesDataSource(java.lang.String[] fieldNames,
                                int size,
                                ColumnValues[] values)

  - ### Method Detail

    - #### next

          public boolean next()
                       throws JRException

      Description copied from interface: `JRDataSource`
      Tries to position the cursor on the next element in the data source.
      Specified by:
        `next` in interface `JRDataSource`
      Returns:
        true if there is a next record, false otherwise
      Throws:
        `JRException` - if any error occurs while trying to move to the next element

    - #### getFieldValue

          public java.lang.Object getFieldValue(JRField field)
                                         throws DataSnapshotException

      Description copied from interface: `JRDataSource`
      Gets the field value for the current position.
      Specified by:
        `getFieldValue` in interface `JRDataSource`
      Returns:
        an object containing the field value. The object type must be the field object type.
      Throws:
        `DataSnapshotException`

    - #### moveFirst

          public void moveFirst()

      Description copied from interface: `JRRewindableDataSource`
      Moves back to the first element in the data source.
      Specified by:
        `moveFirst` in interface `JRRewindableDataSource`

    - #### getRecordIndex

          public int getRecordIndex()

      Description copied from interface: `IndexedDataSource`
      Returns the index of the current record in the data source. Note that this would not necessarily be the same as the index of the record in the order in which the data appears in the report, as after sorting or filtering a data source the original index of the record will be returned.
      Specified by:
        `getRecordIndex` in interface `IndexedDataSource`
      Returns:
        the index of the current record

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com